com.holonplatform.vaadin.flow.components

## Interface GroupValidationStatusHandler.GroupValidationStatusEvent<S,P,E extends HasComponent>

- Type Parameters:
    `S` - Validation source type
    `P` - Property type
    `E` - Group element type
  All Superinterfaces:
    Serializable
  Enclosing interface:
    GroupValidationStatusHandler<S,P,E extends HasComponent>

      public static interface GroupValidationStatusHandler.GroupValidationStatusEvent<S,P,E extends HasComponent>
      extends Serializable

  A group validation status event.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Optional<com.holonplatform.core.i18n.Localizable>` | `getGroupError()` Get the first `Localizable` group validation error message, if the validation status is `ValidationStatusHandler.Status.INVALID`.
    `default String` | `getGroupErrorMessage()` Get the first localized group error message.
    `default List<String>` | `getGroupErrorMessages()` Get the localized group error messages from `getGroupErrors()`.
    `List<com.holonplatform.core.i18n.Localizable>` | `getGroupErrors()` Get the `Localizable` group validation error messages, if the group validation status is `ValidationStatusHandler.Status.INVALID`.
    `ValidationStatusHandler.Status` | `getGroupStatus()` Get the group validation status, i.e. the validation status according to any registered group-level validator.
    `List<GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E>>` | `getInputsValidationStatus()` Get the group inputs validation status events.
    `S` | `getSource()` Get the validation source.
    `default ValidationStatusHandler.Status` | `getStatus()` Get the overall validation status.
    `default boolean` | `isAnyInputInvalid()` Gets whether any of the group input is in an invalid status.
    `default boolean` | `isGroupInvalid()` Gets whether the group validation failed or not.
    `default boolean` | `isInvalid()` Gets whether the overall validation failed or not.

- - ### Method Detail

    - #### getSource

          S getSource()

      Get the validation source.
      Returns:
        the validation source

    - #### getStatus

          default ValidationStatusHandler.Status getStatus()

      Get the overall validation status.

      This includes the item validation status and the inputs validation status. If any of the item or inputs validation status is invalid, the returned status will be invalid.

      Returns:
        the overall validation status (never null)

    - #### isInvalid

          default boolean isInvalid()

      Gets whether the overall validation failed or not.

      This includes the item validation status and the inputs validation status. If any of the item or inputs validation status is invalid, the returned status will be invalid.

      Returns:
        `true` if validation failed (i.e. the validation status is `ValidationStatusHandler.Status.INVALID`), `false` otherwise

    - #### getGroupStatus

          ValidationStatusHandler.Status getGroupStatus()

      Get the group validation status, i.e. the validation status according to any registered group-level validator.
      Returns:
        the group validation status (never null)

    - #### isGroupInvalid

          default boolean isGroupInvalid()

      Gets whether the group validation failed or not.
      Returns:
        `true` if validation failed (i.e. the validation status is `ValidationStatusHandler.Status.INVALID`), `false` otherwise

    - #### getGroupErrors

          List<com.holonplatform.core.i18n.Localizable> getGroupErrors()

      Get the `Localizable` group validation error messages, if the group validation status is `ValidationStatusHandler.Status.INVALID`.
      Returns:
        the group validation error messages when in invalid state, an empty list if none

    - #### getGroupErrorMessages

          default List<String> getGroupErrorMessages()

      Get the localized group error messages from `getGroupErrors()`.
      Returns:
        the localized group error messages, an empty list if none.
      See Also:
        `LocalizationProvider`

    - #### getGroupError

          default Optional<com.holonplatform.core.i18n.Localizable> getGroupError()

      Get the first `Localizable` group validation error message, if the validation status is `ValidationStatusHandler.Status.INVALID`.
      Returns:
        the optional first `Localizable` group validation error message when in invalid state

    - #### getGroupErrorMessage

          default String getGroupErrorMessage()

      Get the first localized group error message.
      Returns:
        the first localized group error message, or `null` if none
      See Also:
        `LocalizationProvider`

    - #### getInputsValidationStatus

          List<GroupValidationStatusHandler.GroupElementValidationStatusEvent<S,P,E>> getInputsValidationStatus()

      Get the group inputs validation status events.
      Returns:
        the group inputs validation status events, an empty list if nine

    - #### isAnyInputInvalid

          default boolean isAnyInputInvalid()

      Gets whether any of the group input is in an invalid status.
      Returns:
        `true` at least one input validation failed (i.e. the validation status is `ValidationStatusHandler.Status.INVALID`), `false` otherwise

Copyright © 2019 The Holon Platform. All rights reserved.